### Constructor

# Gtk.TreeListRowSorter.new

#### Declaration [src]

    GtkTreeListRowSorter*
    gtk_tree_list_row_sorter_new (
      GtkSorter* sorter
    )

#### Description [src]

Create a special-purpose sorter that applies the sorting of `sorter` to the levels of a `GtkTreeListModel`.

Note that this sorter relies on `GtkTreeListModel:passthrough` being `FALSE` as it can only sort `GtkTreeListRow`s.

#### Parameters

`sorter` | `GtkSorter`
| a `GtkSorter`, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkTreeListRowSorter`
a new `GtkTreeListRowSorter`
Ownership of the data is transferred to the caller